SPI_BUS_LOCK(9)

NAME
spi_bus_lock - obtain a lock for exclusive SPI bus usage

SYNOPSIS

int spi_bus_lock(struct spi_master * master);

ARGUMENTS

master
    SPI bus master that should be locked for exclusive bus access

CONTEXT

can sleep

DESCRIPTION

This call may only be used from a context that may sleep. The sleep is non-interruptible, and has no timeout.

This call should be used by drivers that require exclusive access to the SPI bus. The SPI bus must be released by a spi_bus_unlock call when the exclusive access is over. Data transfer must be done by spi_sync_locked and spi_async_locked calls when the SPI bus lock is held.

It returns zero on success, else a negative error code.

COPYRIGHT